<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;resultSets>&lt;rows type="insert">1&lt;/rows>&lt;resultSet>&lt;row>&lt;ID>4&lt;/ID>&lt;/row>&lt;/resultSet>&lt;/resultSets></Property>
	<Property name="xslt.params" type="List">
		<Property name="var.response">var.response</Property>
	</Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">VAM_api_database_query</Property>
		<Property name="ISServerName">dev02.virtimo.net</Property>
		<Property name="var.response" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;download>&lt;fileName>TEST.txt&lt;/fileName>&lt;mimeType>text/plain&lt;/mimeType>&lt;data>QkNERUZTQ2huZWUK&lt;/data>&lt;/download>&lt;/body></Property>
		<Property name="ISInvokingWorkflow">VAM_api_main_processRequests</Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleId">35245</Property>
		<Property name="ISGlobalProcessId">16319628</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISInvokingModule">VAM_api_main_WFC_saveDownload</Property>
		<Property name="ISCurrentTime">1476193804566</Property>
		<Property name="ISProcessId">16320751</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api> 
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_API&lt;/loginName>  
        &lt;password>VPP_API&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>true&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT0H5M0S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress> 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting>&lt;backend>&lt;imNICHT>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imNICHT>&lt;/backend> 
  &lt;/api>&lt;am> 
      
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_AM&lt;/loginName>  
        &lt;password>VPP_AM&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;loginName>tc&lt;/loginName>&lt;name>Trans Parency Connect&lt;/name>&lt;eMailAddress>kaufhold+tc@virtimo.de&lt;/eMailAddress>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>Power User&lt;/role>&lt;role>Publication Framework&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module&gt;&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;/permissions>&lt;createdOn>2016-10-11T13:34:27Z&lt;/createdOn>&lt;createdByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2016-10-11T13:34:27Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/lastUpdatedByUser>&lt;organizations>&lt;organization>&lt;id>14005&lt;/id>&lt;displayName>Publication Framework&lt;/displayName>&lt;name>Publication Framework&lt;/name>&lt;configuration>&lt;helpUrl xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">http://www.virtimo.net&lt;/helpUrl>&lt;/configuration>&lt;createdOn>2016-10-11T13:34:27Z&lt;/createdOn>&lt;createdByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2016-10-11T15:34:27Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/lastUpdatedByUser>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;startTimestamp>1476193018171&lt;/startTimestamp>&lt;/session></Property>
		<Property name="ISModuleName">VAM_api_rewriteResultSets</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.response" as="element()"/>
  &lt;xsl:template match="/*">&lt;xsl:variable name="var.downloadKey" select="resultSet/row/ID"/>&lt;body>&lt;xsl:copy-of select="$var.response/*[not(self::download)]"/>&lt;download>&lt;id>&lt;xsl:value-of select="$var.downloadKey"/>&lt;/id>&lt;xsl:copy-of select="$var.response/download/*[not(self::data)]"/>&lt;/download>&lt;/body>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
</Properties>